<?php
// Get title of page
global $title;
global $wpdb;

?>
<div id="pema-create-lab-wrapper">
	<div id="pema-create-lab-title">
		<h1> <?php echo esc_html($title); ?> </h1>
	</div>

	<div id="pema-create-lab-page-description">
		<h2>Page description: </h2>
		<p>On this page, an instructor can create a lab.</p>
		<br>
	</div>
	<?php
	// Check if the plugin is activated 
	if ( !is_plugin_active('openstack-NTNU/openstack.php') ) {
		?>
		<div id="pema-create-lab-plugin-active">
			<p style="color:red">WARNING OPENSTACK PLUGIN IS NOT ACTIVATED</p>
		</div>
		<?php
	}
	?>


	<form id="pema-create-lab-submit-form">

		<div id="pema-create-lab-labtemplate">
			<p>Use existing template? </p>
			<input type="radio" name="pema-create-lab-labtemplate-radioname" id="pema-create-lab-labtemplate-true" value="yes">Yes
			<input type="radio" name="pema-create-lab-labtemplate-radioname" value="no">No<br><br>
		</div>

		<div id="pema-create-lab-labtemplate-select" style="display: none">
			<label>Select template: </label>
			<select name="pema-template-select">
				<option></option>
				<?php
				// Get all templates
				$templates = $wpdb->get_results("SELECT * FROM pema_lab_template");
				// For each templates
				foreach($templates as $template) {
					?>
					<option id="pema-create-template-option" value="<?php echo esc_attr($template->templateName); ?>" data-description="<?php echo esc_attr($template->templateDescription); ?>" data-templateid="<?php echo esc_attr($template->templateID); ?>"><?php echo esc_html($template->templateName); ?></option>
					<?php //The option above sets some data fields that jquery can retrieve
				}
				?>
			</select><br><br>
		</div>

		<div id="pema-create-lab-title">
			<p>Title of lab: </p><input type="text" id="pema-create-lab-title-input"><br><br>
		</div>

		<div id="pema-create-lab-description">
			<p>Description of lab: </p>
			<textarea id="pema-create-lab-description-textarea" rows="4" cols="50"></textarea><br><br>
		</div>

		<div id="pema-create-lab-startdate">
			<p>Start-date: </p><input type="text" class="datepicker" placeholder="Start-date" id="pema-create-lab-startdate-input">
		</div>

		<div id="pema-create-lab-enddate">
			<p>End-date: </p><input type="text" class="datepicker" placeholder="End-date" id="pema-create-lab-enddate-input">
		</div><br><br>

		<div id="pema-create-lab-add-group">
			<label>Add groups to the lab:</label>
			<br><br>
			<select id="pema-create-lab-add-group-select" data-placeholder="Select groups" multiple>
				<?php
				// Get all groups
				$groups = $wpdb->get_results("SELECT * FROM pema_group");
				// Foreach group
				foreach ( $groups as $group ) {
					//Set value to be its groupID, this is what ajax will be using
					?>
					<option value="<?php echo esc_attr($group->groupID); ?>"><?php echo esc_html($group->groupName); ?></option>
					<?php
				}
				?>

			</select><br><br>
		</div>

		<?php
		// Custom hook
		do_action('pema_before_submit_create_lab');
		?>

		<div id="pema-create-lab-submit">
			<button id="pema-create-lab-submit-button" type="submit">Submit</button>
		</div>
	</form>
</div>
