<?php
    // Get title.
    global $title;
    // Initialize DB connection
    global $wpdb;

    // Get all proficiencies
    $proficiencies = $wpdb->get_results("SELECT * FROM pema_proficiency");
?>

<div id="pema-create-task-wrapper">
    <div id="pema-edit-task-title">
        <!-- Displays title -->
        <h1> <?php echo esc_html($title); ?> </h1>
    </div>

	<div id="pema-create-task-page-description">
		<h2>Page description: </h2>
		<p>On this page you can create task templates.</p>
		<p>Task templates are used to add tasks to labs.</p>
		<p>There are many options to enable/disable with the buttons on the page.</p>
		<br>
	</div>

    <!-- Tag for the submission form.-->
    <form id="pema-create-task-submit-form">

        <!-- Title desctiption -->
        <div id="pema-create-task-title">
            <p>Task title: </p><br>
            <!-- Line breaks - formatting.-->
            <input type="text" id="pema-create-task-title-input">
            <br><br>
        </div>

        <!-- Task description -->
        <div id="pema-create-task-description">
            <p> Task description:</p>
            <textarea id="pema-create-task-description-textarea"></textarea>
            <br><br>
        </div>

        <!-- Topic selection -->
        <div id="pema-create-task-topic">
            <p>Task topic</p>
            <select id="pema-create-task-topic-select" data-placeholder="Select topic" single>  // Selection of a topic form db.
                <option></option>
                <?php
                    // Get all topics from DB
                    $options = $wpdb->get_results("SELECT * FROM pema_topic");
                    // Go through all topics, and create an option
                    foreach ( $options as $option ) {
                        ?>
                            <option value="<?php echo esc_attr($option->topicID); ?>"><?php echo esc_html($option->topicName); ?></option>
                        <?php
                    }
                ?>
            </select><br><br>
        </div>

		<div id="pema-create-task-answer">
            <p>Does this task require an answer? </p>
            <input type="radio" name="pema-create-task-answer-radioname" id="pema-create-task-answer-true" value="yes">Yes
            <input type="radio" name="pema-create-task-answer-radioname" id="pema-create-task-answer-false" value="no">No
            <br><br>
		</div>

		<div id="pema-create-task-answer-select" style="display: none" >
			<select id="pema-create-task-answer-type-select" data-placeholder="Select answer type" single>  // Selection of answer-type form db.
                <option></option>
                <?php
                // Get options from pema_answer_type table.
                    $options = $wpdb->get_results("SELECT * FROM pema_answer_type");
                    // For each option...
                    foreach ( $options as $option ) {
                        ?>
                        <!-- Create option with appropriate name. -->
                            <option value="<?php echo esc_attr($option->answerID); ?>"><?php echo esc_html($option->typeName); ?></option>
                        <?php
                    }
                ?>
            </select><br><br>
		</div>
        <?php
        // Go through all proficiencies
        foreach ( $proficiencies as $proficiency ) {
            // Display a unique div
            // With unique data fields, that are used to retrive when clicked on
            ?>
            <div id="pema-create-task-hint-<?php echo esc_attr($proficiency->proficiencyName);?>">
                <p>Does this task require a hint for <?php echo esc_html($proficiency->proficiencyName);?>? </p>
                <input class="pema-proficiency-class" type="radio" name="pema-create-task-hint-<?php echo esc_attr($proficiency->proficiencyName);?>-radio" value="yes" data-name="<?php echo esc_attr($proficiency->proficiencyName);?>">Yes
                <input class="pema-proficiency-class" type="radio" name="pema-create-task-hint-<?php echo esc_attr($proficiency->proficiencyName);?>-radio" value="no" data-name="<?php echo esc_attr($proficiency->proficiencyName);?>">No
            </div><br>
            <div class="pema-proficiency-class-hidden" id="pema-create-task-hint-<?php echo esc_attr($proficiency->proficiencyName);?>-hidden" style="display:none">
                <p>Create hint for <?php echo esc_html($proficiency->proficiencyName);?>:</p>
                <textarea data-id="<?php echo esc_attr($proficiency->proficiencyID);?>" class="pema-proficiency-textarea" id="pema-create-task-hint-<?php echo esc_attr($proficiency->proficiencyName);?>-hidden-textarea"></textarea>
				<br>
			</div>
            <?php
        }
        ?>

        <?php
        // Custom hook
        do_action('pema_before_submit_create_task');
        ?>

        <div id="pema-create-task-submit">
            <br>
            <button id="pema-create-task-submit-button" type="submit">Submit</button>
        </div>


    </form>
</div>
