<?php

// initialize DB and title
global $title;
global $wpdb;

// Get all groups
$groups = $wpdb->get_results("SELECT * FROM pema_group");

?>

<div id="pema-edit-group-wrapper">
	<div id="pema-edit-group-title-h1">
		<h1> <?php echo esc_html($title); ?></h1>
	</div>

	<div id="pema-edit-group-page-description">
		<h2>Page description: </h2>
		<p>On this page you can edit and delete groups.</p>
		<br>
	</div>

	<?php
	// If groupID is set in URL
	if ( isset($_GET['groupID']) ) {
		// Get the groupID from the URL
		$groupID = $_GET['groupID'];

		// Check if group exist with the groupID
		$group = $wpdb->get_row($wpdb->prepare("SELECT * FROM pema_group WHERE groupID = %d", $groupID));

		// If group exist
		if ( $group ) {
			// Get all proficiencies
			$proficiencies = $wpdb->get_results("SELECT * FROM pema_proficiency");

			// Get all users with the role student
			$args = array('role' => 'Student');
			$users = get_users($args);
			?>
			<form id="pema-edit-group-form">
				<div id="pema-edit-group-name">
					<p>Group Name: </p>
					<input type="text" id="pema-edit-group-name-input" value="<?php echo esc_attr($group->groupName);?>">
				</div><br>

				<div id="pema-edit-group-description">
					<p>Group Description: </p>
					<textarea id="pema-edit-group-description-textarea" rows="4" cols="50"><?php echo esc_textarea($group->groupDescription); ?></textarea>
				</div><br>

				<div id="pema-edit-group-proficiency">
					<p>Group proficiency: </p>
					<?php
					// For all proficiencies
					foreach ( $proficiencies as $proficiency ) {
						// If group proficiency match the proficiency, display a checked radio button
						if ( $group->proficiencyID === $proficiency->proficiencyID ) {
						?>
							<input type="radio" name="pema-edit-group-proficiency-radio" value="<?php echo esc_attr($proficiency->proficiencyID);?>" checked><?php echo esc_html($proficiency->proficiencyName);?>
							<br><br>
						<?php
						} else {
							?>
							<input type="radio" name="pema-edit-group-proficiency-radio" value="<?php echo esc_attr($proficiency->proficiencyID);?>"><?php echo esc_html($proficiency->proficiencyName);?>
							<br><br>
							<?php
						}
					}
					?>
				</div><br>

				<div id="pema-edit-group-users-manage">
					<select id="pema-edit-group-users-manage-select" multiple="multiple">
						<?php
						// For all users
						foreach ( $users as $user ) {
							// Check if the user exist in group already
							$userGroup = $wpdb->get_row($wpdb->prepare("SELECT * FROM pema_user_has_group WHERE groupID = %d AND userID = %d", $groupID, $user->ID));
							// If exist, display with selected value
							if ( $userGroup ) {
								?>
								<option selected value="<?php echo esc_attr($userGroup->userID);?>"><?php echo esc_html($user->display_name);?></option>
								<?php
							} else {
								?>
								<option value="<?php echo esc_attr($user->ID);?>"><?php echo esc_html($user->display_name);?></option>
								<?php
							}
						}
						?>
					</select>
				</div><br><br>
				<?php
				// Custom hook
				do_action('pema_before_submit_edit_group', $groupID);
				?>


				<div id="pema-edit-group-submit">
					<button type="submit" id="pema-edit-group-submit-button">Submit</button>
				</div>
				<br><br><br>
				<div id="pema-edit-group-delete">
					<p>To delete this group:</p>
					<button type="button" id="pema-edit-group-delete-button">Delete</button>
				</div>

			</form>

			<?php
		} else {
			echo "Group number '" . esc_html($groupID) . "' doesn't exist<br>";
		}
	} else {
		// If groups exist
		if ( $groups ) {
			?>
			<label>Choose a group to edit</label>
			<select onchange="location = this.value;">
				<option></option>
				<?php
				// For all groups
				foreach($groups as $group) {
					// Display option
					?>
					<option value="<?php echo esc_url(admin_url() . 'admin.php?page=pema_edit_groups&groupID=' . $group->groupID);?>"><?php echo esc_html($group->groupName);?></option>
					<?php
				}
				?>
			</select>
			<?php
		} else {
			echo "No groups are found.";
		}

	}
	?>


</div>
