<?php
// Initialize title and DB 
global $title;
global $wpdb;

// Get all labs
$labs = $wpdb->get_results("SELECT * FROM pema_lab");

?>
<div id="pema-edit-lab-wrapper">
	<div id="pema-edit-lab-title-h1">
		<h1> <?php echo esc_html($title); ?></h1>
	</div>

	<div id="pema-edit-lab-page-description">
		<h2>Page description: </h2>
		<p>On this page, an instructor can edit the main contents and group members of a lab.</p>
		<br><br>
	</div>

	<?php
	// If labID is set in URL
	if ( isset($_GET['labID']) ) {
		// Get the labID
		$labID = $_GET['labID'];

		// Check if lab exist with the labID
		$lab = $wpdb->get_row($wpdb->prepare("SELECT * FROM pema_lab WHERE labID = %d", $labID));
		// If lab exist
		if ( $lab ) {
			// Get all groups
			$groups = $wpdb->get_results("SELECT * FROM pema_group");
			?>
			<form id="pema-edit-lab-form">
				<div id="pema-edit-lab-title">
					<p>Lab title: </p>
					<input type="text" id="pema-edit-lab-title-input" value="<?php echo esc_attr($lab->labName); ?>">
				</div><br><br>

				<div id="pema-edit-lab-description">
					<p>Task description: </p>
					<textarea id="pema-edit-lab-description-textarea" rows="4" cols="50"><?php echo esc_textarea($lab->labDescription); ?></textarea>
				</div><br><br>

				<div id="pema-edit-lab-groups">
					<p>Do you want to manage groups for the lab?</p>
					<input checked type="radio" name="pema-edit-lab-groups-radio" value="yes">Yes
					<input  type="radio" name="pema-edit-lab-groups-radio" value="no">No
				</div><br><br>


				<div id="pema-edit-lab-groups-manage" >
					<select id="pema-edit-lab-groups-manage-select" multiple="multiple">
					<?php
					// For all groups
					foreach ( $groups as $group ) {
						// Check if group is a part of the lab
						$groupLab = $wpdb->get_row($wpdb->prepare("SELECT * FROM pema_group_has_lab WHERE groupID = %d AND labID = %d", $group->groupID, $lab->labID));
						// If group exist in lab, display option as selected
						if ( $groupLab ) {
							?>
							<option selected value="<?php echo esc_attr($groupLab->groupID);?>"><?php echo esc_html($group->groupName);?></option>
							<?php
						} else {
							?>
							<option value="<?php echo esc_attr($group->groupID);?>"><?php echo esc_html($group->groupName);?></option>
							<?php
						}
					}
					?>
					</select><br><br>
				</div>
				<?php
				// Custom hook
				do_action('pema_before_submit_edit_lab', $labID);
				?>

				<div id="pema-edit-lab-submit">
					<button type="submit" id="pema-edit-lab-submit-button">Submit</button>
				</div>

			</form>


			<?php
		} else {
			echo "Lab number '" . esc_html($labID) . "' dosen't exist<br>";
		}

	} else {
		?>
		<label>Choose a lab to edit</label>
		<select onchange="location = this.value;">
			<option></option>
		<?php
			// for all labs
			foreach ( $labs as $lab ) {
				// Display option
				?>
				<option value="<?php echo esc_url(admin_url() . 'admin.php?page=pema_edit_lab&labID=' . $lab->labID);?>"><?php echo esc_html($lab->labName); ?></option>
				<?php
			}
			?>
		</select>
		<?php
	}

	?>
</div>
