<?php
// Get title
global $title;
//Initialize database connection
global $wpdb;


//Gets all labs
$get_labs = $wpdb->get_results("SELECT * FROM pema_lab");

?>
<div id="pema-manage-lab-wrapper">
	<div id="pema-manage-lab-title">
		<h1> <?php echo esc_html($title); //Display title ?> </h1>
	</div>
	<?php
	// If labs exists
	if ( $get_labs ) {
		?>
		<table id="pema-manage-lab-table">
			<colgroup>
				<col id="pema-col-id">
				<col id="pema-col-title">
				<col>
				<col>
				<col id="pema-col-timestamp">
				<col id="pema-col-timestamp">
				<col>
				<col id="pema-col-actions">
			</colgroup>
			<tr>
				<th>Lab number</th>
				<th>Lab Name</th>
				<th>Topics</th>
				<th>Answer method</th>
				<th>Start date</th>
				<th>Deadline</th>
				<th>Status</th>
				<th>Actions</th>
			</tr>
		<?php

		// For all labs
		foreach ( $get_labs as $get_lab ) {
			// Get answer methods that tasks for the lab uses
			$get_answermethod = $wpdb->get_results($wpdb->prepare("SELECT * FROM pema_answer_type WHERE answerID IN (SELECT answerID FROM pema_task WHERE labID = %d)", $get_lab->labID));
			// Get topcis that tasks for the lab uses
			$get_topics = $wpdb->get_results($wpdb->prepare("SELECT * FROM pema_topic WHERE topicID IN (SELECT topicID FROM pema_task WHERE labID = %d)", $get_lab->labID));
			// Gets current time in mysql format
			$time = current_time('mysql');

			// If time is greater than the start time of lab
			// And time is less than the end time of lab
			if ( $time > $get_lab->labStart && $time < $get_lab->labEnd ) {
				// Means the lab is active
				$status = '<p style="color:green">Active</p>';
			// Else, if time is less than the start time of the lab
			} elseif ( $time < $get_lab->labStart ) {
				// Means the lab has not started
				$status = '<p>Not started</p>';
			// Else, means the lab is finished
			} else {
				$status = '<p style="color:red">Finished</p>';
			}
			?>
			<tr>
				<td><?php echo esc_html($get_lab->labID); // Display labID ?></td>
				<td><?php echo esc_html($get_lab->labName); // Display lab Name?></td>
				<td>
					<?php
					// If tasks for the lab has topics
					if ( $get_topics ) {
						// For all topics
						foreach ( $get_topics as $topic ) {
							// Display topic name
							echo esc_html($topic->topicName) . "<br>";
						}
					}
					?>
				</td>
				<td>
					<?php
					// If tasks for the lab has answer methods
					if ( $get_answermethod ) {
						// For all answer methods
						foreach ( $get_answermethod as $answer ) {
						// Display answer method 		
							echo esc_html($answer->typeName) . "<br>";
						}
					}
					
					?>
				 </td>
				<td><?php echo esc_html($get_lab->labStart); // Display start date ?></td>
				<td><?php echo esc_html($get_lab->labEnd); // Display end date?></td>
				<td><?php echo $status; ?></td>
				<td><a href="<?php echo esc_url(admin_url() . 'admin.php?page=pema_manage_tasks_lab&labID=' . $get_lab->labID);?>" id="pema-manage-lab-button-edit">
					<button type='button'>Tasks</button></a>
					<button id="pema-manage-lab-button-delete">Delete</button></td>
			</tr>

			<?php
		}
		?>
		</table>
		<?php
	} else {
		echo "No labs were found.";
	}
	?>
</div>
