<?php
// Get title.
global $title;
// Initialize database connection.
global $wpdb;

// Gathers all topics from database.
$get_topics = $wpdb->get_results("SELECT * FROM pema_topic");
?>

<div id="pema-manage-topic-wrapper">
	<div id="pema-manage-topic-title">
		<!-- Display title-->
		<h1> <?php echo esc_html($title); ?> </h1>
	</div>
	<div id="pema-manage-topic-page-description">
		<h2>Page description: </h2>
		<p>On this page you can see an overview over all topics.</p>
		<p>You can also edit the topics, as well as delete them.</p>
		<br>
	</div>

	<?php
	// If any topics exist
		if ( $get_topics ) {
			?>
			<table id="pema-manage-topic-table">
				<colgroup>
					<col id="pema-col-topic-name">
					<col>
					<col>
				</colgroup>
				<!-- Table legend -->
				<tr>
					<th style="display:none">Topic Number</th>
					<th>Topic Name</th>
					<th>Actions</th>
				</tr>
				<?php
				// Go through all topics and display in table.
					foreach ( $get_topics as $get_topic ) {
						?>
						<tr>
							<td style="display:none"><?php echo esc_html($get_topic->topicID); ?></td>
							<td><?php echo esc_html($get_topic->topicName); ?>
								<input type="text" id="pema-manage-topic-name-input-<?php echo esc_attr($get_topic->topicID); ?>"
									value="<?php echo esc_attr($get_topic->topicName) ?>" style="display: none">
								<button id="pema-manage-topic-button-submit-<?php echo esc_attr($get_topic->topicID); ?>"
									class="pema-manage-topic-button-submit-class" style="display: none">Submit</button>
							</td>
							<td>
								<!-- Edit button -->
								<button class="pema-manage-topic-button-edit">Edit</button></a>
								<!-- Delete button -->
								<button id="pema-manage-topic-button-delete">Delete</button>
							</td>
						</tr>
						<?php
					}
				?>
			</table>
			<?php
		// If no topics were found, give error.
		} else {
			 echo "No topics were found";
		}
		?>
		<div id="pema-manage-topic-creation">
			<h2>Create new topic</h2>
			<input type="text" id="pema-manage-topic-new-input">
			<button id="pema-manage-topic-button-new">Create</button>
		</div>
</div>
