jQuery(document).ready(function($){

	$('#pema-create-group-select').chosen({
		max_selected_options: 3
	});

	// Creating group, on click
	$(document).on('submit', '#pema-create-group-form', function(e) {
		e.preventDefault();

		// Get user id from the selected list
		var users = $('#pema-create-group-select').val();
		//Get title (group name)
		var title = $('#pema-create-group-name-input').val();
		//Get group description
		var description = $('#pema-create-group-description-textarea').val();
		var proficiency = $('input[name=pema-create-group-proficiency-radio]:checked').val();
		// If no fields are empty
		if ( title.trim() && description.trim() && users && proficiency) {
			// Ajax
			$.ajax({
				// Set ajax url
				url: ajax_params.ajaxurl,
				// Set type to post
				type : 'post',
				// Data
				data : {
					// Set title
					title : title,
					// Set description
					description : description,
					// Set user id (array)
					users : users,
					// Set the proficiency
					proficiency : proficiency,
					// Gets the nounce
					security: ajax_params.ajax_nonce,
					// Run this function
					action : 'pema_ajax_create_group'
				},
				// If error in ajax
				error : function( response ) {
				},
				// If success ajax
				success : function( data ) {
					// If there was no error
					if ( data !== 'Error' ) {
						// Give message
						alertSuccess('New group created!');
						// Reset fields/form
						$('#pema-create-group-select option:selected').removeAttr('selected');
						$('#pema-create-group-select option').trigger('chosen:updated');
						$('#pema-create-group-form')[0].reset();
					// Else, there was an error
					} else {
						// Give error message
						alertError('Something went wrong, please contact the admin.');
					}
				}
			});
		// Else fill in all fields
		} else {
			alertError('Please fill in all the fields!');
		}

	});
});