jQuery(document).ready(function($) {
	// Task submission.
	$(document).on('submit', '#pema-create-task-submit-form', function(e){
		// Prevents default action from triggering.
		e.preventDefault();

		// Gathering data from input fields
		var title = $('#pema-create-task-title-input').val();
		var description = $('#pema-create-task-description-textarea').val();
		var topic = $('#pema-create-task-topic-select').val();
		var useAnswer = $('#pema-create-task-answer-true').is(":checked");
		var noAnswer = $('#pema-create-task-answer-false').is(":checked");
		var answerType = $('#pema-create-task-answer-type-select').val();
		var proficiencies = [];

		// Foreach textarea
		$('.pema-proficiency-textarea').each(function(){
			// Get value
			var blank = $(this).val();

			// If areay not empty
			if ( blank.trim() !== "" ) {
				// Add it to the array
				proficiencies.push({
					id: $(this).data('id'),
					value: blank
				});
			}
		});

		// Checking for input in all manditory fields.
	    if ( title.trim() && description.trim() && topic ) {
	    	// Checks if no was ticked or if yes was ticked + answerType selected.
			if ( (noAnswer) || (useAnswer && answerType) ) {
				// Checks for valid title length.
				if ( title.length <= 60 ) {
					$.ajax({
						// Gets ajax url.
				        url : ajax_params.ajaxurl,
				        // Sets type as post.
				        type : 'post',
				        // Defining data to be sent.
				        data: {
				        	// Title.
							title : title,
							// Description.
							description : description,
							// Topic.
							topic : topic,
							proficiencies: proficiencies,
							// Wether to use answers or not.
							useAnswer : useAnswer,
							// Answer type.
							answerType : answerType,
							// Nonce
							security : ajax_params.ajax_nonce,
							// Call this function.
							action : 'pema_create_task_template'
				        },
				        // If ajax throws an error.
				        error : function ( response ) {
				        },
				        // If ajax is successful.
				        success : function ( data ) {
				        	// If data is not equal error
				        	if ( data !== 'Error' ) {
				        		// Give message, and reset form/fields
				        		alertSuccess('Task template added.');
				        		$('#pema-create-task-submit-form')[0].reset();
				        		$('.pema-proficiency-class-hidden').each(function(){
				        			$(this).slideUp(400);
				        		});
				        	// Else, error
				        	} else {
				        		alertError('Something went wrong, please contact the admin.');
				        	}
				        }
			     	});
				// Returns an error if title is too long.
				} else {
					alertError('Title is too long, maximum 60 characters!');
				}
			// If usetime is checked and start and/or endtime are missing input.
		    } else {
		    	alertError('Please enter an answer method or select no answer.', 'orange');
		  	}
		  // If all fields are not filled.
		} else {
			alertError('Please fill in all the fields.', 'orange');
		}
	});

	// When option is chosen.
	$('input:radio[name="pema-create-task-answer-radioname"]').change( function() {
		// If "yes"
		if ( $(this).val() === 'yes' ){
			// Show answer type selection box.
			$('#pema-create-task-answer-select').slideDown(400);
		// Else, hide answer type selection box.
		} else {
			$('#pema-create-task-answer-select').slideUp(400);
		}
	});

	$('.pema-proficiency-class').change(function(){
		var name = $(this).data('name');
		// If "yes"
		if ( $(this).val() === 'yes' ) {
			// Show answer type selection box.
			$('#pema-create-task-hint-'+name+'-hidden').slideDown(400);
		// Else
		} else {
			// Hide answer type selection box.
			$('#pema-create-task-hint-'+name+'-hidden').slideUp(400);
		}
	})
});