jQuery(document).ready(function($) {
	// Enable mulitselect plugin on element
	$('#pema-edit-lab-groups-manage-select').multiSelect({
		selectableHeader: "<div id='pema-edit-lab-groups-select-selectable'>Selectable groups</div>",
		selectionHeader: "<div id='pema-edit-lab-groups-select-selected'>Selected groups</div>",
	});

	$('input:radio[name="pema-edit-lab-groups-radio"]').change(function(){				//On radio button change
		if ( $(this).val() === 'yes' ) {													//If value is yes
			$('#pema-edit-lab-groups-manage').show();									//Show div
		}
		else {																			//Else
			$('#pema-edit-lab-groups-manage').hide();									//Hide div
		}
	});

	$(document).on('submit', '#pema-edit-lab-form', function(e){						//On submit form
		e.preventDefault();																//Prevent action on form

		var searchParams = new URLSearchParams(window.location.search);					//Get url info
		if ( searchParams.has('labID') ) {													//If params in URL has labID

			var title = $('#pema-edit-lab-title-input').val();							//Get title
			var desc = $('#pema-edit-lab-description-textarea').val();					//Get description
			var id = searchParams.get('labID');											//Get param from URL

			var selectedGroups = [];													//Array for storing all selected groups, i.e., groups that should be in the lab
			$('#pema-edit-lab-groups-manage-select option:selected').each(function(){	//For all selected
				selectedGroups.push($(this).val());										//Add the value to the array
			});
			var notselectedGroups = [];													//Array for storing all non-selected groups, i.e., groups that should not be in the lab
			$('#pema-edit-lab-groups-manage-select option').not(':selected').each(function(){	//For all non-selected
				notselectedGroups.push($(this).val());									//Add the value to the array
			});
			if ( title.trim() && desc.trim() ) {											//If title and desc has content, i.e., the fields are not empty
				$.ajax({																//Ajax
					url : ajax_params.ajaxurl,											//Get ajax URL
					type : 'post',														//Get type
					data : {															//Data
						title : title,													//Send title
						desc : desc,													//Send description
						id : id,														//Send labID
						updatetable : 'pema_group_has_lab',								//Send table to update
						insertid1 : 'labID',											//Send the first field to check against
						insertid2 : 'groupID',											//Send the second field to check against
						addarr : selectedGroups,										//Send all selected groups
						removearr : notselectedGroups,									//Send all non-selected groups
						security: ajax_params.ajax_nonce,								//Send the nounce
						action: 'pema_update'											//Run this function
					},
					error : function( response ) {										//On error
					},
					success : function(data) {											//On success
						if ( data === 'Error' ) {
							alertError('Something went wrong, please contact the administrator!');
							$('#pema-edit-lab-form')[0].reset();
						} else {
							alertSuccess("Lab successfully edited!");					//Run function with data
						}
					}
				});
			} else {
				alertError('Please fill in the fields!');								//Run function with error message
			}
		}
	});

});
