jQuery(document).ready(function($){

	$(document).on('submit', '#pema-edit-task-submit-form', function(e){
		e.preventDefault();

		var searchParams = new URLSearchParams(window.location.search);		// Gathers the templateID from the URL.
		if ( searchParams.has('templateID') ) {									// Checks if the "templateID" is present.
			var id = searchParams.get('templateID');							// Puts the ID into variable "id".
			// Gathering data from user-input.
			var title = $('#pema-edit-task-name-input').val();					// Title.
			var description = $('#pema-edit-task-description-input').val();		// Description.
			var topic = $('#pema-edit-task-topic-select').val();				// Topic.
			var useAnswer = $('#pema-edit-task-answer-true').is(":checked");	// useAnswer.
			var noAnswer = $('#pema-edit-task-answer-false').is(":checked");	// noAnswer.
			var answerType = $('#pema-edit-task-answer-type-select').val();		// answerType.


			if ( title.trim() && description.trim() && topic ) {	// Checks for input in all fields and trims blankspace from ends.
				if ( (noAnswer) || (useAnswer && answerType) ) {
					if ( title.length <= 60 ) {						// Checks for valid title length.
						$.ajax({											// Ajax
							url : ajax_params.ajaxurl,							// Gets ajax url.
							type : 'post', 										// Sets type as post.
							data: {													// Defining data...
								id : id,											// templateID.
								title : title, 										// Title.
								description : description, 							// Description.
								topic : topic,										// Topic.
								useAnswer : useAnswer,								// Wether to use answer or not.
								answerType : answerType,							// Answer type.
								security: ajax_params.ajax_nonce,					// Ajax nonce.
								action : 'pema_edit_task_template'					// Call this function.
							},
							error : function ( response ) {						// If ajax throws error..
							},
							success : function ( data ) {						// If ajax reports success.
								if ( data === 'Error' ) {
									alertError('Something went wrong, please contact the admin.');
								} else {
									alertSuccess('Task template edited.');
								}
							}
						});
					} else {
						alertError('Title too long, can be maximum 60 characters!')
					}
				} else {
					alertError('Please either select an answer method, or select no answer.', 'orange');
				}
			} else {											// If input is not found in all fields.
				alertError('Please fill in all the fields.', 'orange');
			}
		} else {
			alertError('Could not collect templateID', 'orange');
		}
	});

	$('input:radio[name="pema-edit-task-answer-radioname"]').change( function(){// When option is chosen.
		if ( $(this).val() === 'yes' ){												// If "yes"
			$('#pema-edit-task-answer-select').slideDown(400);					// Show answer type selection box.
		} else {																	// Else
			$('#pema-edit-task-answer-select').slideUp(400);						// Hide answer type selection box.
		}
	});

});