jQuery(document).ready(function($){

	// On change for each checkbox in the table, function for hiding or showing the input fields
	$(document).on('change', '.pema-manage-tasks-for-lab-time-true', function(){
		// Gets closest <tr> in table
		var currentRow=$(this).closest("tr");
		// Get the value in column 0 (first column)
		var taskname = currentRow.find("td:eq(0)").text();
		// If checkbox is checked
		if ( $('input[name="pema-manage-tasks-for-lab-radio-' + taskname+ '"]').is(':checked') ) {
			// Show startdate and enddate for that row
			$('#pema-manage-tasks-for-lab-startdate-input-' + taskname).show("slide");
			$('#pema-manage-tasks-for-lab-enddate-input-' + taskname).show("slide");
		// Else, hide it
		} else {
			$('#pema-manage-tasks-for-lab-startdate-input-' + taskname).hide("slide");
			$('#pema-manage-tasks-for-lab-enddate-input-' + taskname).hide("slide");
		}
	});

// Calendar time picking for task creation.
	$('.pema-manage-tasks-for-lab-input-start-class').flatpickr({
		// Enable time (hours,minutes)
		enableTime: true,
		// Defining format.
		dataFormat : "Y-m-d H:i",
		// Setting 24-hour time format
		time_24hr: true,
		// Display week numbers
		weekNumbers: true,
		// Sets mindate and maxdate to be in range for the labs startdate and enddate
		minDate : $('#pema-manage-tasks-for-lab-input-id').data('startdate'),
		maxDate : $('#pema-manage-tasks-for-lab-input-id').data('enddate'),
		// new range plugin didn't work :(((
		//"plugins": [new rangePlugin({ input: ".pema-manage-tasks-for-lab-input-end-class"})]	// Use plugin to select range, enable flatpickr on specified input.
	});

	// duplicate of above??
	$('.pema-manage-tasks-for-lab-input-end-class').flatpickr({
		enableTime: true,
		dataFormat : "Y-m-d H:i",
		time_24hr: true,
		weekNumbers: true,
		minDate : $('#pema-manage-tasks-for-lab-input-id').data('startdate'),
		maxDate : $('#pema-manage-tasks-for-lab-input-id').data('enddate'),
		//"plugins": [new rangePlugin({ input: ".pema-manage-tasks-for-lab-input-end-class"})]	// Use plugin to select range, enable flatpickr on specified input.
	});


	// When a task template is selected, get data fields from it and populate it in the row
	$('[name="pema-manage-tasks-for-lab-select"]').change(function(){
		var templateTopic = $(this).find('option:selected').data('topic');
		var templatedesc = $(this).find('option:selected').data('desc');
		var templateName = $(this).find('option:selected').data('name');
		var answer = $(this).find('option:selected').data('answer');

		$('#pema-manage-tasks-for-lab-td-name').html(templateName);
		$('#pema-manage-tasks-for-lab-td-topic').html(templateTopic);
		$('#pema-manage-tasks-for-lab-td-description').html(templatedesc);
		$('#pema-manage-tasks-for-lab-td-answer').html(answer);
	});

	// When the submit button is clicked
	$(document).on('click', '#pema-manage-tasks-for-lab-submit', function() {

		// If an option is selected
		if ( $('select[name=pema-manage-tasks-for-lab-select]').val() ) {
			// Get the selected option
			var selected = $('select[name=pema-manage-tasks-for-lab-select]').find('option:selected');

			// Get current row
			var currentRow=$(this).closest("tr");
			// Get value of column 0, i.e., the hidden column which stores the orderID
			var orderid = currentRow.find("td:eq(0)").text();
			// Get value of column 2, i.e., the taskname
			var taskname = currentRow.find("td:eq(2)").text();
			// Get value of column 3, i.e., the topicname
			var topic = currentRow.find("td:eq(3)").text();
			// Get value of column 4, i.e., the description
			var desc = currentRow.find("td:eq(4)").text();
			// Get the answerName, might not be one, if so it will be blank
			var answer = currentRow.find("td:eq(5)").text();
			// Get the templateid from the selected option
			var templateid = selected.data('id');
			// Get the startdate for lab
			var mindate1 = $('#pema-manage-tasks-for-lab-input-id').data('startdate');
			// Get the enddate for lab
			var maxdate1 = $('#pema-manage-tasks-for-lab-input-id').data('enddate');
			// Set a bool, used to check if a startdate or enddate has filled in its values
			var check = true;

			// True or false depending on if the checkbox for submitting new task for lab is checked
			var time = $('#pema-manage-tasks-for-lab-input-id').is(":checked");
			// if checked, then its ok
			if ( time ) {
				// Get value of stardate input field
				var startdate = $('#pema-manage-tasks-for-lab-startdate-input-' + orderid).val();
				// Get value of enddate input field
				var enddate = $('#pema-manage-tasks-for-lab-enddate-input-' + orderid).val();

				// Prepare to insert input fields with checked on checkbox
				var newstarthml = '<input type="text" class="pema-manage-tasks-for-lab-input-start-class" value="' + startdate + '" id="pema-manage-tasks-for-lab-startdate-input-' + orderid + '">';
				var newendhtml = '<input type="text" class="pema-manage-tasks-for-lab-input-end-class" value="' + enddate + '" id="pema-manage-tasks-for-lab-enddate-input-' + orderid + '">';
				var newboxhtml = '<input checked type="checkbox" placeholder="Start-date" class="pema-manage-tasks-for-lab-time-true" name="pema-manage-tasks-for-lab-radio-' + orderid + '" value="yes">Yes';
				// If startdate or enddate is empty
				if ( !startdate || !enddate ) {
					// Set check to false, i.e., used needs to fill in startdate and enddate
					check = false;
				}
			// Else, set startdate and enddate to blank
			} else {
				var startdate = "";
				var enddate = "";
				// Prepare to insert input fields with display:none
				var newendhtml = '<input type="text" class="pema-manage-tasks-for-lab-input-end-class" value="' + enddate + '" id="pema-manage-tasks-for-lab-enddate-input-' + orderid + '" style="display:none">';
				var newstarthml = '<input type="text" class="pema-manage-tasks-for-lab-input-start-class" value="' + startdate + '" id="pema-manage-tasks-for-lab-startdate-input-' + orderid + '" style="display:none">';
				var newboxhtml = '<input type="checkbox" placeholder="Start-date" class="pema-manage-tasks-for-lab-time-true" name="pema-manage-tasks-for-lab-radio-' + orderid + '" value="yes">Yes';
			}
			if ( check ) {
			// Append a new row to tbody
				$("#pema-manage-tasks-for-lab-table tbody:first")
					.append($('<tr>')
						.append($('<td class="counter" style="display:none">')
							.text(orderid)
						)
						.append($('<td style="display:none">')
							.text('To be inserted')
						)
						.append($('<td data-id="'+templateid+'">')
							.text(taskname)
						)
						.append($('<td>')
							.text(topic)
						)
						.append($('<td style="display:none">')
							.text(desc)
						)
						.append($('<td>')
							.text(answer)
						)
						.append($('<td>')
							.html(newboxhtml)
						)
						.append($('<td>')
							.html(newstarthml)
						)
						.append($('<td>')
							.html(newendhtml)
						)
						.append($('<td>')
							.html('<button id="pema-manage-tasks-for-lab-remove-button">Remove</button>')
						)
					);

				// Enable flatpickr on the newly inserted row
				$('#pema-manage-tasks-for-lab-startdate-input-' + orderid).flatpickr({
					enableTime: true,
					dataFormat : "Y-m-d H:i",
					time_24hr: true,
					weekNumbers: true,
					minDate : $('#pema-manage-tasks-for-lab-input-id').data('startdate'),
					maxDate : $('#pema-manage-tasks-for-lab-input-id').data('enddate'),
					// Use plugin to select range, enable flatpickr on specified input.
					"plugins": [new rangePlugin({ input: '#pema-manage-tasks-for-lab-enddate-input-' + orderid})]
				});

				// Update the orderid
				var new_orderid = parseInt(orderid)+1;
				// Set the new value of orderid in the current row
				currentRow.find("td:eq(0)").text(new_orderid);
				// Reset input fields for the new orderid
				currentRow.find("td:eq(6)").html('<input type="checkbox" data-startdate="' + mindate1 + '" data-enddate="' + maxdate1 + '" id="pema-manage-tasks-for-lab-input-id" class="pema-manage-tasks-for-lab-time-true" name="pema-manage-tasks-for-lab-radio-' + new_orderid + '" value="yes">Yes');
				currentRow.find("td:eq(7)").html('<input type="text" placeholder="Start-date" class="pema-manage-tasks-for-lab-input-start-class" id="pema-manage-tasks-for-lab-startdate-input-' + new_orderid + '" style="display:none">');
				currentRow.find("td:eq(8)").html('<input type="text" placeholder="End-date" class="pema-manage-tasks-for-lab-input-end-class" id="pema-manage-tasks-for-lab-enddate-input-' + new_orderid + '" style="display:none">');


				// Enable flatpickr on the newly reset fields
				$('#pema-manage-tasks-for-lab-startdate-input-' + new_orderid).flatpickr({
					enableTime: true,
					dataFormat : "Y-m-d H:i",
					time_24hr: true,
					weekNumbers: true,
					minDate : $('#pema-manage-tasks-for-lab-input-id').data('startdate'),
					maxDate : $('#pema-manage-tasks-for-lab-input-id').data('enddate'),
					// Use plugin to select range, enable flatpickr on specified input.
					"plugins": [new rangePlugin({ input: '#pema-manage-tasks-for-lab-enddate-input-' + new_orderid})]
				});
				// Else, means the user needs to select a start and end-date
			} else {
				alertError('Please select a start-date and end-date.');
			}
			// Else, means the user needs to select an option in the select element
		} else {
			alertError('Please select a task to add.');
		}
	});

	// Makes the table sortable
	$('.sort').sortable({
		// Change the cursor while sorting table
		cursor: "move",
		// Opacity is lowered
		opacity: 0.5,
		// https://stackoverflow.com/questions/16420709/sortable-disable-a-column-in-a-sortable-row
	});
		// Other options ??
		// https://stackoverflow.com/questions/20366691/get-id-of-dragged-list-item-in-a-sortable-jquery
		// https://stackoverflow.com/questions/3160277/jquery-table-sort
		// https://wordpress.stackexchange.com/questions/39130/how-to-conditionally-enqueue-a-stylesheet-only-for-a-certain-pages

	// On remove button click
	$(document).on('click', '#pema-manage-tasks-for-lab-remove-button', function() {
		// Clone the closest tr (e.g., the row you clicked remove on), append the row to the bottom of tbody then hide it
		$(this).closest('tr').clone().appendTo('#pema-manage-tasks-for-lab-table tbody:first').hide();
		// Then remove the original row
		$(this).closest('tr').remove();
	});

	// On save button click, means it will update or insert in the database
	$(document).on('click', '#pema-manage-tasks-for-lab-save-button', function() {
		// Get url info
		var searchParams = new URLSearchParams(window.location.search);
		//var message;
		// If URL has labID
		if ( searchParams.has('labID') ) {
			// Set counter to be 1
			var order = 1;
			// Foreach tr in tbody (i.e., runs through the table)
			$('#pema-manage-tasks-for-lab-table > tbody:not(:last-child) > tr').each(function() {
				// If it is a hidden row (e.g., it should be deleted), returns a boolean
				var hidden = $(this).is(":visible");
				// Get the labID from the URL
				var labid = searchParams.get('labID');
				// Get the text field from column 1
				var tasknumber = $(this).find('td:eq(1)').text();
				// Get the templateid from a data attribute
				var templateid = $(this).find('td:eq(2)').data('id');
				// If the checkbox is checked
				if ( $(this).find('input[type="checkbox"]').is(':checked') ) {
					// Get value of the startdate
					var startdate = $(this).find('td input.pema-manage-tasks-for-lab-input-start-class').val();
					// Get value of the enddate
					var enddate = $(this).find('td input.pema-manage-tasks-for-lab-input-end-class').val();
				// Else, means the checkbox is not checked
				} else {
					// Set startdate and enddate to be empty
					var startdate = "";
					var enddate = "";
				}
				$.ajax({
					// Set ajaxURL
					url : ajax_params.ajaxurl,
					// Set type to be post
					type : 'post',
					// Here comes data to be sent
					data : {
						labid : labid,
						orderid : order,
						taskID : tasknumber,
						templateid : templateid,
						startdate : startdate,
						enddate : enddate,
						hidden : hidden,
						id : ajax_params.loggedinuserID,
						// Send the ajax nonce that was created
						security : ajax_params.ajax_nonce,
						// Runs this function
						action : 'pema_ajax_add_task_to_lab'
					},
					// If ajax throws an error.
					error : function ( response ) {
			        	 // Log to console.
			        	console.log(response);
			        },
			        // If ajax is successful.
			        success : function ( data ) {
			        	//console.log(data);
			        	// If there was en error, send error message
			        	if ( data === 'Error' ) {
			        		alertError('There was an error, please contact the admin');
			        		// This should break loop... but it doesnt....
			        		return false;
			        	}
			        }
				});
				// Increase the orderID
				order++;
			});
			// Should be some type of error check for this...? Not implemented..
			alertSuccessReload('Tasks saved for lab.');
		}
	});
});
