jQuery(document).ready(function($){
	// Show edit-functionality for topic.
	$(document).on('click', '.pema-manage-topic-button-edit', function(){// When option is chosen.

		var currentRow=$(this).closest("tr");								// Get current row.
		var col1 = currentRow.find("td:eq(0)").text();						// Get first column in current row (task number)

		$('#pema-manage-topic-name-input-'+col1).slideToggle();				// Toggles the input field visibility.
		$('#pema-manage-topic-button-submit-'+col1).slideToggle();			// Toggles submit button visibility.
	});


	// function for topic deletion.
	$(document).on('click', '#pema-manage-topic-button-delete', function(){	// On manage-topic-delete button click.

		var currentRow=$(this).closest("tr");									// Get current row.
		var col1 = currentRow.find("td:eq(0)").text();							// Get first column in current row (topicID)

		$.confirm({																// Displays a confirm-box using jquery-confirm.
			title: 'Topic deletion',												// Setting parameters.. title.
			content: 'Are you sure you want to delete this topic?',					// Content.
			type: 'red',															// Style "type".
			typeAnimated: true,														// Adds a little colour animation.
			closeAnimation: 'top',
			useBootstrap: false,													// Disables bootstrap (allows for customization)
			boxWidth: '30%',														// Sets the alert-box width.
			theme: 'Material',
			buttons: {																// Options:
				Yes: function() {														// Yes.
					$.ajax({																// Calls ajax.
						url: ajax_params.ajaxurl,												// Gets ajax url.
						type: 'post',															// Sets type to post.
						data: {																	// Data ..
							idcol: col1,															// ID of the topic.
							security: ajax_params.ajax_nonce,										// Nonce.
							action: 'pema_delete_topic'												// Run this function.
						},
						error: function( response ) {											// If ajax throws an error.
						},
						success: function( data ) {													// On success.
							if ( data === "FK" ) {
								alertError('This topic is in use, and can not be deleted!');
							} else if ( data === 'Success' ) {														// Not in use
								alertSuccess('Topic deleted!');
								currentRow.remove();												// Refresh page.
							} else {
								alertError('Something went wrong, please contact the admin.');
							}
						}
					});
				},
				Cancel: function() {													// Cancel
					// Do nothing :)
				}
			}
		});

	});

	// function for topic updates/edits.
	$(document).on('click', '.pema-manage-topic-button-submit-class', function(){
		var currentRow=$(this).closest("tr");									// Get current row.
		var col1 = currentRow.find("td:eq(0)").text();							// Get first column in current row (topicID)

		var topicName = $('#pema-manage-topic-name-input-'+col1).val();


		if ( topicName.trim() ) {						// Checks for input.
			$.ajax({									// Ajax function.
				url : ajax_params.ajaxurl,					// Ajax url.
				type: 'post',								// Sets type as post.
				data: {										// Defining data...
					id: col1,									// topicID.
					topicName: topicName,						// The topic name.
					security: ajax_params.ajax_nonce,			// Ajax nonce.
					action: 'pema_update_topic'					// Call this function.
				},
				error : function ( response ) {				// If ajax throws an error.
				},
				success : function ( data ) {
					if ( data !== 'Error' ) {
						alertSuccess('Topic edited.');
						$('#pema-manage-topic-name-input-'+col1).slideToggle();				// Toggles the input field visibility.
						$('#pema-manage-topic-button-submit-'+col1).slideToggle();
						currentRow.find("td:eq(1)").text(topicName);
					} else {
						alertError('Something went wrong please contact the admin.', 'red');
					}
				}
			});
		} else {										// If no input is found.
			alertError('Please enter a new topic name.', 'orange');
		}
	});

	// function for adding topic.
	$(document).on('click', '#pema-manage-topic-button-new', function(){

		var topicName = $('#pema-manage-topic-new-input').val();		// Getting topic name.

		if ( topicName.trim() ) {						// Checks for input and trims blankspace in front and back.
			$.ajax({									// Ajax function ...
				url: ajax_params.ajaxurl,					// Ajaxurl
				type: 'post',								// Sets type as post.
				data: {										// Defining data..
					topicName: topicName,						// Topic name.
					security: ajax_params.ajax_nonce,			// Nonce.
					action: 'pema_create_topic'					// Call this function.
				},
				error: function ( response ) {				// If ajax throws an error.
				},
				success: function (data) {						// If ajax is called successfully.
					if ( data !== 'Error' ) {
						alertSuccess('Topic added!');
						$('#pema-manage-topic-new-input').val('');
						$('#pema-manage-topic-table > tbody:last-child')
							.append($('<tr>')
								.append($('<td style="display:none">')
									.text(data)
								)
								.append($('<td>')
									.html(topicName+'<input type="text" id="pema-manage-topic-name-input-'+data+'" value="'+topicName+'" style="display: none"><button id="pema-manage-topic-button-submit-'+data+'"class="pema-manage-topic-button-submit-class" style="display: none">Submit</button>')
								)
								.append($('<td>')
									.html('<button class="pema-manage-topic-button-edit">Edit</button><button id="pema-manage-topic-button-delete">Delete</button>')
								)
							);
					} else {
						alertError('Something went wrong, please contact the admin.', 'red');
					}
				}
			});
		} else {
			alertError('Please enter a topic', 'orange');
		}
	});
});
