// Ready the document
jQuery(document).ready( function($) {


	// Counter for only appending a message once
	var counter = 0;
	// When button is clicked
	$(document).on('click', '#pema-author-edit-button', function() {

	// Gets value from input field
		var name = $('#pema-nickname-input').val();
		var id = $('#pema-nickname-input').data('id');

		// If name is not empty, trim is used to remove whitespaces in front and end
		if ( name.trim() ) {
			// Ajax
			$.ajax({
				// Gets the ajax url, e.g., handles the ajax request, ajax_params.ajaxurl is defined in functions.php in wp_localize_script
				url : ajax_params.ajaxurl,
				// Post type
				type : 'post',
				// Data values
				data : {
					// Name is set to what the user entered
					value : name,
					// Gets the ID of the logged in user
					id : id,
					// Sets meta to be nickname
					meta : 'nickname',
					// Gets the nounce
					security : ajax_params.ajax_nonce,
					// Runs the "pema_update_user_nickname" function 
					action: 'pema_update_user_metadata'
				},
				// If error in ajax
				error : function( response ) {
				},
				// If successfull
				success : function( response ) {
					// Refreshes the current page
					location.reload();
				}
			});
		} else {
			// If counter is less or equal to 0
			if ( counter <= 0 ) {
				// Error message
				$('#pema-author').append("Nickname can't be empty!");
				// Counter goes up
				counter++;
			}
		}		
	});

	// When button is clicked
	$(document).on('click', '#pema-nickname-edit', function() {
		// Slidetoggle, can change slow to fast etc..
		$('#pema-nickname').slideToggle('slow');
	});


	// When the button is clicked
	$(document).on('click', '#pema-author-toggle-hide-submit', function() {
		
		// If a radio button is checked
		if ( $('input[name=pema-author-toggle-hide').is(':checked') ) {
			// Gets the chosen radio button value, either "show" or "hide"
			var toggle = $('input[name=pema-author-toggle-hide]:checked').val();

			// Here comes the ajax
			$.ajax({
				// Gets the URL
				url : ajax_params.ajaxurl,
				// The type is post
				type : 'post',
				// Gets all the data 
				data : {
					// Sets the value to be either "show" or "hide"
					value : toggle,
					// Gets the logged in user ID
					id : ajax_params.loggedinuserID,
					// Sets meta to be pema-hide
					meta: 'pema-hide',
					// Gets the nounce
					security : ajax_params.ajax_nonce,
					// Runs the function 'pema_update_user_metadata'
					action: 'pema_update_user_metadata'
				},
				// If error in AJAX
				error : function( response ) {
				},
				// If successful
				success : function( response ) {
					// Reload page 
					location.reload();
				}
			});
		} else {
			// If a radio button is not checked, give error message
			alert("You need to check a button");
		}

		
	});

// When button is clicked, run function
	$(document).on('click', '#pema-display-task-submit-button', function() {
		// Get the user submitted answer
		var answer = $('#pema-display-task-input-box').val();
		// Get the ID of the task
		var taskid = $('#pema-display-task-input-box').data('id');
		// Check if answer is empty or not, also trims whitespaces on left/right side of string
		if ( answer.trim() ) {
			// Ajax
			$.ajax({
				// Get ajax URL
				url : ajax_params.ajaxurl,
				// Type is post
				type : 'post',
				// Data
				data : {
					// Send user submitted answer
					answer : answer,
					// Send the taskID
					taskid : taskid,
					// Get logged in user ID
					userid : ajax_params.loggedinuserID,
					// Send the nonce that is created on page load
					security : ajax_params.ajax_nonce,
					// Run this function
					action : 'pema_check_hash'
				},
				// On error in AJAX
				error : function( response ) {
				},
				// On success
				success : function( data ) {
					// If the answer was correct
					if ( data === "Correct" ) {
						// Give alert
						alert("You guessed correct");
					} else if ( data === "DBERR" ) {
						alert("Answer was correct, but something went wrong when updating the task, please contact the admin.")
					// Else, means the answer was wrong
					} else {
						// Give alert
						alert("Wrong answer");
					}
				}
			});
			// Else, means the answer field is blank
		} else {
			// Give error
			alert("You need to fill in the field");
		}
	});

	// On button click, function for displaying hint
	$(document).on('click', '#pema-display-task-hint-button', function(){
		// Get the taskID
		var taskid = $('#pema-display-task-input-box').data('id');
		// Ajax, send userID and taskID
		$.ajax({
			url : ajax_params.ajaxurl,
			type : 'post',
			data : {
				taskid : taskid,
				userid : ajax_params.loggedinuserID,
				security : ajax_params.ajax_nonce,
				action : 'pema_show_hint'
			},
			error : function( response ) {
				console.log(response);
			},
			success : function( data ) {
				// Remove the button, so that a user cannot click it again
				$('#pema-display-task-hint-button').remove();
				// Display the hint or hints
				$('#pema-display-task-hint').append(data);
			}
		});
	});

});