<!--
Has all info about the sidebar named home

https://wordpress.stackexchange.com/questions/231152/best-way-of-making-multiple-sidebars Maybe use this instead if we want to have many sidebars?

-->
<div id="pema-sidebar">
	<div id="pema-sidebar-wrapper">
	<?php
	if( is_user_logged_in() ) {						// If user is logged in
		global $wpdb;								// Initialize database
		$current_user = wp_get_current_user();		// Get currently logged in user

		if ( current_user_can('student') ) {		// Gets the title of post/lab that the student is enrolled in.
			$labs = $wpdb->get_results($wpdb->prepare("SELECT * FROM wp_posts WHERE post_status = 'publish' AND ID IN (SELECT post_id FROM wp_postmeta WHERE meta_key ='labID' AND meta_value IN (SELECT labID FROM pema_group_has_lab WHERE groupID IN (SELECT groupID FROM pema_user_has_group WHERE userID = %d)))", $current_user->ID));
		} elseif ( current_user_can('instructor') ) {	// Gets the post of the labs created by the specific instructor.
			$labs = $wpdb->get_results($wpdb->prepare("SELECT * FROM wp_posts WHERE post_status = 'publish' AND ID IN (SELECT post_id FROM wp_postmeta WHERE meta_key ='labID' AND post_author = %d)", $current_user->ID));
		} elseif ( current_user_can('administrator') ) {	// Gets the post of all labs.
			$labs = $wpdb->get_results("SELECT * FROM wp_posts WHERE post_status = 'publish' AND ID IN (SELECT post_id FROM wp_postmeta WHERE meta_key ='labID')");
		}

		// Checks user group and displays dashboard link if applicable.
		if( current_user_can('administrator') || current_user_can('instructor') ) {
			?>
			<div id="pema-dashboard-url">
				<a href="<?php echo admin_url(); ?>">Dashboard</a>
			</div>
			<?php
		}

		if( $labs ) {

			?>
			<ul>
			<?php
			// Foreach lab
			foreach($labs as $lab) {
				// Get all tasks for the lab, order by taskOrder
				$tasks = $wpdb->get_results($wpdb->prepare("SELECT * FROM pema_task WHERE labID IN (SELECT meta_value FROM wp_postmeta WHERE meta_key = 'labID' AND post_id = %d) ORDER BY taskOrder",  $lab->ID));
				?>
				<li><a id="pema-sidebar-li-a" href="<?php echo get_page_link($lab->ID); ?>"><?php echo $lab->post_title; //Display lab name ?></a><div class="pema-sidebar-li-arrow-down"></div></li>

				<?php
				// If tasks exist for the lab
				if($tasks) {
					// Go through all the tasks
					foreach($tasks as $task) {
						// Get the page for the task and display link to it
						$taskpost = $wpdb->get_row($wpdb->prepare("SELECT * FROM wp_posts WHERE post_status = 'publish' AND ID IN (SELECT post_id FROM wp_postmeta WHERE meta_key = 'taskID' AND meta_value IN (SELECT taskID FROM pema_task WHERE taskID = %d))", $task->taskID));
						?>
						<li class="pema-sidebar-task-list"><a href="<?php echo get_page_link($taskpost->ID);?>"><?php echo $task->taskName; ?></a></li>
						<?php
					}
				}
			}
			?>
			</ul>
			<?php
		} else {
			echo "<a>You are currently not enrolled in any labs</a>";
		}
	} else {
		echo "<a>You are not logged in</a>";
	}
	?>
</div>
</div>


<!--
<div id="pema-sidebar">
	<a href="">Topic 1</a>
	<a href="">Topic 2</a>
	<a href="">Topic 3</a>
	<a href="">Topic 4</a>
	<a href="">Topic 5</a>
</div>

-->
