<?php
/*
Template Name: VM-Management Page

*/
// Get header and sidebars
get_header();

get_sidebar('home');

get_sidebar('top');

// Initialize $post and $wpdb class
global $wpdb;
global $post;

// Check if user is logged in
if ( is_user_logged_in() ) {
	// Get the userID of the currently logged in user
	$userID = get_current_user_id();
	// Get all info about the group the user is in
	$group = $wpdb->get_row($wpdb->prepare("SELECT * FROM pema_group WHERE groupID IN (SELECT groupID FROM pema_user_has_group WHERE userID = %d)", $userID));
	// Get all VMs that the group has

	?>
	<div class="pema-content">
		<div id="pema-vm-management">
			<div id="pema-vm-management-title">
				<h1><?php echo $post->post_title; ?></h1>
			</div>
			<div id="pema-vm-management-content">
				<p><?php echo $post->post_content; ?></p>
			</div>

			<?php
			if ( $group ) {
				$vms = $wpdb->get_results($wpdb->prepare("SELECT * FROM pema_vm WHERE vmID IN (SELECT vmID FROM pema_group_vm WHERE groupID = %s)", $group->groupID));
				?>
				<div id="pema-vm-management-vms">
					<?php
					if ( $vms ) {
						foreach ( $vms as $vm ) {
							?>
							<h2>VM for group <?php echo $group->groupName; ?></h2>
							<p>VM IP: <?php echo $vm->vmIP; ?></p>
							<p>VM Created: <?php echo $vm->vmCreated; ?></p>
							<p>VM PrivateKey: <a class="pema-vm-management-priv-key-show" data-id="<?php echo $vm->vmID;?>">Click to show</a></p><br>
							<div id="pema-vm-management-priv-key-<?php echo $vm->vmID;?>" style="display:none">
								<input type="text" readonly><?php echo $vm->vmKey; ?>
							</div>
							<button data-server="<?php echo $vm->vmServerID;?>" class="pema-vm-management-button">Restart Machine</button>
							<?php
						}
					}
					?>
				</div>
			<?php
			}
			?>
		</div>
	</div>
	<?php
}
?>
